%define project	KDocker

Name:		kdocker
Version:	5.3
Release:	%mkrel 2
Summary:	Dock any application in the system tray
Group:		Graphical desktop/KDE
License:	GPLv2+
URL:		https://github.com/user-none/KDocker
Source0:	https://github.com/user-none/KDocker/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		kdocker-5.0-mga-fix-install.patch
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	qtsingleapplication-qt5-devel

BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xpm)

%description
%{project} will help you dock any application in the system tray. This means you
can dock OpenOffice, XMMS, Firefox, Thunderbolt, Eclipse, anything! Just point
and click. Works for LXQT/KDE and GTK/GNOME (In fact it should work for most
modern window managers that support NET WM Specification for instance).

All you need to do is start %{project} and select an application using the mouse
and lo! the application gets docked into the system tray. The application can
also be made to disappear from the task bar.


%prep
%setup -q -n %{project}-%{version}
%autopatch -p1

# unbundle qtsingleapplication
rm -fr 3rdparty

%build
%qmake_qt5 SYSTEMQTSA=1

%make_build

%install
%qmakeinstall_std

%files
%doc AUTHORS BUGS CREDITS ChangeLog README.md TODO VERSION
%license COPYING
%config(noreplace) %{_sysconfdir}/bash_completion.d/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 5.3-2.mga8
+ Revision: 1658687
- Rebuild for new Qt5

* Thu Mar 19 2020 daviddavid <daviddavid> 5.3-1.mga8
+ Revision: 1557920
- new version: 5.3

* Sat Feb 15 2020 daviddavid <daviddavid> 5.2-4.mga8
+ Revision: 1525783
- add upstream patch to fix build with Qt 5.14
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 5.2-3.mga7
+ Revision: 1382342
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 5.2-2.mga7
+ Revision: 1298513
- Mageia 7 Mass Rebuild

* Fri Jul 27 2018 daviddavid <daviddavid> 5.2-1.mga7
+ Revision: 1245576
- new version: 5.2

* Wed Feb 21 2018 daviddavid <daviddavid> 5.1-1.mga7
+ Revision: 1203870
- new version: 5.1

* Mon May 23 2016 daviddavid <daviddavid> 5.0-1.mga6
+ Revision: 1018035
- imported package kdocker (based on fedora)

